{% extends "base.html" %}

{% block head %}
{% endblock %}

{% block content %}
    <main>
        <div class="row">
            <div class="col">
                <p>{{ user.disp_name }}でログイン中</p>
            </div>
        </div>
        {% include "toolbar.html" %}
        <div class="row">
            <div class="col align-self-start text-left">
                <form method="get" action="/add">
                    {% if user.authority == 0 %}
                    <button class="btn btn-outline-danger" type="submit">追加モード</button>
                    {% endif %}
                </form>
            </div>
        </div>

        <div class="head-tab-wrap">
            <input id="TAB-PROFILE" type="radio" name="TAB" class="head-tab-switch" checked="checked"/><label class="head-tab-label" for="TAB-PROFILE">プロフィール</label>
            <div class="head-tab-content">
                <form class="form-upload" method="post" action="/update_profile" id="update_profile">
                    <input type="hidden" name="id" value="{{ user.id }}">
                    <div class="form-profile row">
                        <label for="profile_username" class="col-5 col-form-label">ID</label>
                        <div class="col-7">
                            <input type="text" class="form-control" id="profile_username" name="profile_username" value="{{ user.username }}" readonly>
                        </div>
                    </div>
                    <div class="form-profile row">
                        <label for="profile_disp_name" class="col-5 col-form-label">名前</label>
                        <div class="col-7">
                            <input type="text" class="form-control" id="profile_disp_name" name="profile_disp_name" value="{{ user.disp_name }}" required>
                        </div>
                    </div>
                    <div class="form-profile row">
                        <label for="profile_password" class="col-5 col-form-label">パスワード</label>
                        <div class="col-7">
                            <input type="password" class="form-control" id="profile_password" name="profile_password">
                            <span id="buttonEye" class="glyphicon glyphicon-eye-open" onclick="pushHideButton()"></span>
                        </div>
                    </div>
                    <button class="btn btn-outline-primary" type="submit" name="submit" value="update_profile" form="update_profile">保存</button>
                </form>
                <script>
                    function pushHideButton() {
                        var txtPass = document.getElementById("profile_password");
                        var btnEye = document.getElementById("buttonEye");
                        if (txtPass.type === "text") {
                            txtPass.type = "password";
                            btnEye.className = "glyphicon glyphicon-eye-open";
                        } else {
                            txtPass.type = "text";
                            btnEye.className = "glyphicon glyphicon-eye-close";
                        }
                    }
                </script>
            </div>
        </div>
    </main>
{% endblock %}
